%define name	flemm
%define version	3.1
%define release	3mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Inflectional analysis on French texts
Source:		%{name}-%{version}.tar.bz2
Patch0:		%{name}.perl-modules-path.patch.bz2
Patch1:		%{name}-3.1.stdin.patch.bz2
URL:		http://www.univ-nancy2.fr/pers/namer/Telecharger_Flemm.htm
License:	GPL
Group:		Sciences/Computer science
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	noarch

%description
FLEMM is a Perl5 program that performs inflectional analysis on French texts
which have previously been tagged (eg. by the Brill tagger). This is a small
program, (60kb in a zipped format) mainly rule-based (i.e. only a 3000 words
lexicon is used in order to deal with exceptions). It runs on PCs or
Workstation, under Unix, Linux or Windows95/NT OS.

The returned Flemm result objects are likely to be displayed as
XML structures.

%prep
%setup -q
%patch0
%patch1

%build

%install
rm -rf $RPM_BUILD_ROOT

install -d -m 755 $RPM_BUILD_ROOT%{_bindir}
install -m 755 flemm.pl $RPM_BUILD_ROOT%{_bindir}/flemm.pl

install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m 644 Flemm.pm $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -pr Flemm $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -pr EXCEP $RPM_BUILD_ROOT%{_datadir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc LICENCE.txt README.txt LISMOI.txt tests flem_ex?.pl
%{_bindir}/flemm.pl
%{_datadir}/%{name}

%changelog
* Fri Aug 06 2004 Guillaume Rousse <guillomovitch@mandrake.org> 3.1-3mdk 
- stdin/stdout patch

* Wed Jul 21 2004 Guillaume Rousse <guillomovitch@mandrake.org> 3.1-2mdk 
- rebuild

* Tue Apr 13 2004 Guillaume Rousse <guillomovitch@mandrake.org> 3.1-1mdk
- new version

* Thu Jan 08 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2-1mdk
- first mdk release
